Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class SoapUISplitPaneUI.SoapUIDivider

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.plaf.basic.BasicSplitPaneDivider
                  com.eviware.soapui.support.swing.SoapUISplitPaneUI.SoapUIDivider

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener

Enclosing class:
  SoapUISplitPaneUI

    public class SoapUISplitPaneUI.SoapUIDivider

extends javax.swing.plaf.basic.BasicSplitPaneDivider

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `SoapUISplitPaneUI.SoapUIDivider.SoapUIDividerLayout`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider
`javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout, javax.swing.plaf.basic.BasicSplitPaneDivider.DragController, javax.swing.plaf.basic.BasicSplitPaneDivider.MouseHandler, javax.swing.plaf.basic.BasicSplitPaneDivider.VerticalDragController`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider
`dividerSize, dragger, hiddenDivider, leftButton, mouseHandler, ONE_TOUCH_OFFSET, ONE_TOUCH_SIZE, orientation, rightButton, splitPane, splitPaneUI`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SoapUISplitPaneUI.SoapUIDivider(javax.swing.plaf.basic.BasicSplitPaneUI ui)`

Method Summary
`protected javax.swing.JButton` | `createLeftOneTouchButton()`
`protected javax.swing.JButton` | `createRightOneTouchButton()`
`javax.swing.JButton` | `getLeftButton()`
`javax.swing.JButton` | `getRightButton()`

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider
`dragDividerTo, finishDraggingTo, getBasicSplitPaneUI, getBorder, getDividerSize, getInsets, getMinimumSize, getPreferredSize, isMouseOver, oneTouchExpandableChanged, paint, prepareForDragging, propertyChange, setBasicSplitPaneUI, setBorder, setDividerSize, setMouseOver`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoapUISplitPaneUI.SoapUIDivider

    public SoapUISplitPaneUI.SoapUIDivider(javax.swing.plaf.basic.BasicSplitPaneUI ui)

Method Detail

### createLeftOneTouchButton

    protected javax.swing.JButton createLeftOneTouchButton()

  Overrides:
    `createLeftOneTouchButton` in class `javax.swing.plaf.basic.BasicSplitPaneDivider`

### createRightOneTouchButton

    protected javax.swing.JButton createRightOneTouchButton()

  Overrides:
    `createRightOneTouchButton` in class `javax.swing.plaf.basic.BasicSplitPaneDivider`

### getLeftButton

    public javax.swing.JButton getLeftButton()

### getRightButton

    public javax.swing.JButton getRightButton()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.